Skip to main content
GET
/
v1
/
exchange
/
rates
List Current Rates
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/exchange/rates \
  --header 'x-auth-token: <api-key>'
{
  "data": [
    {
      "buy_price": "0.8766",
      "sell_price": "0.8837",
      "currency_pair": "USDEUR"
    }
  ],
  "unavailable_currency_pairs": [
    "JPYKRW"
  ],
  "last_updated": "2023-11-07T05:31:56Z"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

currency_pairs
string

A comma-separated string of currency pairs to query. Each pair must be a 6-letter uppercase code (e.g., USDEUR, USDJPY). Multiple pairs can be provided, separated by commas, up to a maximum of 100 pairs.

Example:

"USDEUR,USDJPY"

Response

OK - Successfully retrieved a list of current rates.

data
object[]
unavailable_currency_pairs
string[]

Currency pairs from the request that are not supported or have no available rates at the moment.

last_updated
string<date-time>

The timestamp of the last rate update. Timestamp follows the ISO 8601 standard.